package com.glxp.udidl.admin.service.chs;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.glxp.udidl.admin.req.chs.YbHcflRequest;
import com.glxp.udidl.admin.res.tyapi.SupplierResponse;
import com.glxp.udidl.admin.util.OkHttpCli;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Slf4j
@Service
public class YbChsHttpClient {

    @Resource
    OkHttpCli okHttpCli;

    /**
     * 获取耗材分类目录
     */
    String getHcflUrl = "https://code.nhsa.gov.cn/hc/stdSpecification/getStdSpecificationListDataCompanyReport.html";
    /**
     * 获取医用耗材信息
     */
    String getYyhcxxUrl = "https://code.nhsa.gov.cn/hc/stdPublishData/getNewPublishRelationDataList.html";
    /**
     * 获取医用耗材规格信息
     */
    String getHcxxGgUrl = "https://code.nhsa.gov.cn/hc/stdYgbData/getPublicHcDataList.html";





}
